public class Demo
{
    public static void main(String[] args) throws TooMuchEatenException
    {
        Person p = null;
        try {
            p = new Person("Jan Novák");
            System.out.println(p.getName());
        } catch (NullPointerException npe) {
            System.err.println("Null pointer exception will be printed.");
            npe.printStackTrace();
        } catch (IllegalArgumentException iae) {
            iae.printStackTrace();
        }
        
        try {
            p.eat(30);
            p.eat(50);
            p.eat(20);
            p.eat(1);
            //throw new Exception();
//        } catch(TooMuchEatenException tmee) {
            //tmee.printStackTrace();
//            System.err.println(tmee.getMessage());
        } finally {
            System.out.println("block finally: Person "+p.getName()
                + " has eaten "+ p.getHasEaten());
        }
        System.out.println("end of method main");
    }
}