public class TooMuchEatenException extends Exception 
{
    private int toEat, hasEaten, maxEaten;
    
    public TooMuchEatenException(int toEat, int hasEaten, int maxEaten)
    {
        this.toEat = toEat;
        this.hasEaten = hasEaten;
        this.maxEaten = maxEaten;
    }
    
    public int getToEat() { return toEat; }
    
    @Override
    public String getMessage() {
        return "Attempting to eat to much " + toEat 
            + " while has already eaten " + hasEaten
            + " and the maximum which can be eaten is " + maxEaten;
    }

}
